The image of device has been rolled back

  • 2
  • Question
  • Updated 1 year ago
Hi, I need to know why the device can not update? the others devices is ok with the last version 6.5r5 but the only one device have the 6.5r4 version. I received the following warning: Device Reboot: The image of device has been rolled back.

Also: The configuration was uploaded to the Aerohive device but not activated

What can I do ? I would apreciate your help

Photo of Jorge Gutierrez

Jorge Gutierrez

  • 6 Posts
  • 0 Reply Likes

Posted 2 years ago

  • 2
Photo of Gary Smith

Gary Smith, Official Rep

  • 299 Posts
  • 61 Reply Likes
Jorge,

If you look at the output of "show version detail" you should see the current image and the secondary/backup image.

For example;

Portal-03a080#show version detail 

Aerohive Networks Inc.

Copyright (C) 2006-2016


Running image:      Current version


Current version:    HiveOS 7.1r1 build-142326

Build host:         ci311

Build time:         Tue Nov  1 11:55:04 UTC 2016

Build by:           build

Build cookie:       1611010455-142326


Backup version:     HiveOS 7.0r2

Build time:         Wed Jun 29 08:35:13 UTC 2016


Load after reboot:  Current version


Platform:           AP250

Bootloader ver:     v0.0.4.3

TPM ver:            v1.2.66.4

Uptime:             1 weeks, 2 days, 19 hours, 55 minutes, 43 seconds

Portal-03a080#


If you see 6.5r5 as the backup version, you can issue the command "reboot backup";

Portal-03a080#reboot backup ?

    <cr>      

    date     Schedule the system to reboot at a specific date and time

    offset   Schedule the system to reboot at a time relative to the moment

             you enter the command

or from the HM;

http://prntscr.com/dcqa1n - show version

http://prntscr.com/dcqaf0 - set image to boot

Regards,

Gary Smith


Photo of HiveManiac

HiveManiac

  • 5 Posts
  • 0 Reply Likes
The command doesnt works. The ap reboot on recovery image... I have a some ap that have 6.5r5 and other than have 6.5r4
Despite this, I have one ap 121 with 6.5r5 than i can upgrade aplication signatures. When i try this the operation sais that the ap have DPI engine v4 and y can upgrade to v5 signatures.
Photo of Gary Smith

Gary Smith, Official Rep

  • 299 Posts
  • 61 Reply Likes
Hi Francisco,

Which command is not working? 

When the AP121 is running 6.5r5, I believe the DPI engine will run at v4 but it wont run at v5.


This was documented in the 6.5r5 Hive-OS release notes;

"Due to memory constraints, the AVC (Applications Visibility and Control) subsystem (on AP121 and AP141 devices only) has been reverted to version 4.x. The main change is a less-granular identification of applications, with the implication that some applications recognized by other HiveOS 6.5r5 devices may not be recognized by AP121and AP141 devices, or the application may be mis-identified."

Kind Regards,
Gary Smith
Photo of HiveManiac

HiveManiac

  • 5 Posts
  • 0 Reply Likes
I am confused...
I have AP121 6.5r5 with DPIv5 signatures
I have AP121 6.5r5 with DPIv4 signatures
I have AP121 6.5r4 with DPIv5 signatures


what is the recomended configuration...
The infraestructure in inestable and its does not works properly... no configurations upgrade fine, no performance...
When is going to release 6.5r6 version?
What is the recomended estable version?

thanks in advance
Photo of Gary Smith

Gary Smith, Official Rep

  • 299 Posts
  • 61 Reply Likes
Hivemaniac,

Based on the output in your comment, you are only seeing DPIv4 when running 6.5r5. This is expected and documented in the 6.5r5 Hive-OS release notes

For the AP121's, 6.5r5 is the recommended stable release. 6.5r6 is expected next year.

"The infraestructure in inestable and its does not works properly... no configurations upgrade fine, no performance..."
- Do you have a support ticket open with your support provider? I'm afraid that there is not enough detail or data for me to provide guidance. If you would like to open a new thread and add detail, I would be happy to take a look and make suggestions.

Kind Regards,
Gary Smith
Photo of HiveManiac

HiveManiac

  • 5 Posts
  • 0 Reply Likes
Thanks for the help,
I have downgrade and upgrade 2 aps and the DPI and signatures are in v4 now. The problems continue because i cant upgrade the config of the aps... thes process fail.
I have reset one ap and it worst, because now the ap have another problem... 
"Default DTLS passphrase is in use. Push a complete config to update the passphrase automatically, or set it manually and push a complete or delta config."
How can i set the passphrase of my hive?
thanks for the help again
Photo of HiveManiac

HiveManiac

  • 5 Posts
  • 0 Reply Likes
I have configured Aerohive NG and y have deleted de testAP from old online manager, and configured ir in the new online plataform and all works ok. 
Now the ap works at 100% with 802.11an, and the thoughput is ok.